Available buyer market: Korean, Taiwan
Use this API to check and process the inquiry that had been consulted by Coupang and then transferred to the seller for confirmation (Unconfirmed status: TRANSFER).
Inquiries that have been terminated by the counselor or 24 hours have elapsed since the confirmation request cannot be confirmed anymore.
Path
POST
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/callCenterInquiries/{inquiryId}/confirms
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00010028/callCenterInquiries/1007837444/confirms
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O |
vendor ID
|
|||||
| inquiryId | O |
Inquiry ID
The seller enters which question to check.
First, use the Contact Center Inquiry Query API to check the value of the inquiry in 'Unconfirmed (TRANSFER)' status. |
|||||
Body Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| confirmBy | O | String |
Actual user ID (Coupang Wing ID)
ID of the user affiliated to the seller (vendor)
|
||||
Request Example
{
"confirmBy": "wanger"
}
Response Message
| Name | Type | Description | ||||
|---|---|---|---|---|---|---|
| code | Number |
Server response code
200/400/500
|
||||
| message | String |
Server response message
If success,it shows OK
|
||||
Response Example
{
"code": "200",
"message": "OK"
}
Error Spec
| HTTP Status Code (error type) | Error Message | Resolution |
|---|---|---|
| 400(Check Request Parameter) |
This inquiry has closed. -522 (상담이 종료된 문의입니다 - 522 ) |
Check if the inquiry has already been confirmed or if 24 hours have passed. An error occurs if you double-check the closed inquiry. |
| 400 (Check Request Parameter) | The inquiry can't be answer. It can do only inquiryStatus:progress, partnerTransferStatus:requestAnswer | Check if the inquiry has already been confirmed or if 24 hours have passed. An error occurs if you double-check the closed inquiry. |
URL API Name
CONFIRM_INQUIRY